# Method: projects.locations.endpointPolicies.create

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/v1beta1/projects.locations.endpointPolicies/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/v1beta1/projects.locations.endpointPolicies/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/v1beta1/projects.locations.endpointPolicies/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/v1beta1/projects.locations.endpointPolicies/create#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/v1beta1/projects.locations.endpointPolicies/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/v1beta1/projects.locations.endpointPolicies/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/v1beta1/projects.locations.endpointPolicies/create#try-it)

Creates a new EndpointPolicy in a given project and location.

### HTTP request

`POST https://networkservices.googleapis.com/v1beta1/{parent=projects/*/locations/*}/endpointPolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the EndpointPolicy. Must be in the format `projects/*/locations/global`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networkservices.endpointPolicies.create` |

### Query parameters

| Parameters ||
|---|---|
| `endpointPolicyId` | `string` Required. Short name of the EndpointPolicy resource to be created. E.g. "CustomECS". Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `endpointPolicyId`: - `networkservices.endpointPolicies.create` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/v1beta1/projects.locations.endpointPolicies#EndpointPolicy`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-services/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).